> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all tasks

> The endpoint returns a list of Tasks.



## OpenAPI

````yaml GET /v1/tasks/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/tasks/:
    parameters: []
    get:
      tags:
        - Tasks
      summary: List all tasks
      description: The endpoint returns a list of Tasks.
      operationId: v1_tasks_list
      parameters:
        - name: ordering
          in: query
          description: >-
            Which field to use when ordering the results. The default is by
            descending `created_at`.
          required: false
          schema:
            type: string
            example: created_at
            enum:
              - created_at
              - '-created_at'
              - updated_at
              - '-updated_at'
              - status
              - '-status'
              - error_message
              - '-error_message'
              - provider_id
              - '-provider_id'
        - name: created_at__lte
          in: query
          required: false
          description: Filter `created_at` less than or equal (ISO-8601).
          schema:
            type: string
            format: date-time
        - name: created_at__gte
          in: query
          required: false
          description: Filter `created_at` greater than or equal (ISO-8601).
          schema:
            type: string
            format: date-time
        - name: status
          in: query
          description: Filter by task status code.
          required: false
          schema:
            type: string
            example: done
            enum:
              - done
              - error
              - login_error
              - account_locked
              - mfa_error
              - config_error
              - no_data
              - unavailable
              - unable_to_reset
              - not_supported
        - name: query
          in: query
          description: >-
            Search query by the following fields: id, link id, bridge token,
            order group id, tracking info.
          required: false
          schema:
            type: string
        - name: provider
          in: query
          description: Filter by provider id.
          required: false
          schema:
            type: string
        - name: product_type
          in: query
          description: Filter by product type.
          required: false
          schema:
            type: string
            example: income
            enum:
              - income
              - employment
              - deposit_switch
              - pll
              - insurance
              - transactions
              - assets
        - name: user_id
          in: query
          description: Filter by user id.
          required: false
          schema:
            type: string
        - name: cursor
          in: query
          required: false
          description: The pagination cursor value.
          schema:
            type: string
        - name: page_size
          in: query
          description: Number of results to return per page.
          required: false
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                required:
                  - results
                type: object
                properties:
                  next:
                    type: string
                    format: uri
                    nullable: true
                  previous:
                    type: string
                    format: uri
                    nullable: true
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/Task'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    Task:
      required:
        - id
        - status
        - product_type
        - provider
        - created_at
        - updated_at
        - link_id
        - user_id
      type: object
      properties:
        id:
          description: Unique task identifier
          type: string
          example: 48427a36d43c4d5aa6324bc06c692456
          maxLength: 64
        status:
          description: Current task status
          type: string
          enum:
            - done
            - error
            - login_error
            - account_locked
            - mfa_error
            - config_error
            - no_data
            - unavailable
            - unable_to_reset
            - not_supported
          example: done
        product_type:
          description: Type of data product being processed
          type: string
          enum:
            - income
            - employment
            - deposit_switch
            - pll
            - insurance
            - transactions
            - assets
          example: income
        provider:
          type: object
          required:
            - id
            - name
          properties:
            id:
              description: Data provider ID.
              type: string
              readOnly: true
              example: adp
              maxLength: 64
            name:
              description: Data provider name.
              type: string
              readOnly: true
              example: ADP
              maxLength: 128
            logo_url:
              description: Data provider logo image.
              type: string
              format: uri
              example: https://cdn.truv.com/providers/adp.svg
        created_at:
          description: Task creation timestamp (ISO 8601)
          type: string
          format: date-time
          example: '2022-06-07T15:00:00Z'
        updated_at:
          description: Task last update timestamp (ISO 8601)
          type: string
          format: date-time
          example: '2022-06-07T15:30:00Z'
        error_message:
          description: Error details if task failed
          type: string
          example: Invalid credentials provided
          nullable: true
        tracking_info:
          description: Optional tracking information provided by partner
          type: string
          example: 0c8d444ff53947cd822efca7b3d9ef18
          nullable: true
        bridge_token:
          description: Bridge token used for authentication
          type: string
          example: 2f67984a110747d190c39e1022c81837
          nullable: true
        data_source:
          description: Source of the data collection
          type: string
          enum:
            - payroll
            - docs
            - insurance
            - financial_accounts
            - tax
          example: financial_accounts
        link_id:
          description: ID of the associated link (connection)
          type: string
          example: 48427a36d43c4d5aa6324bc06c692456
          maxLength: 64
        is_suspicious:
          description: Whether the task or link is flagged as suspicious
          type: boolean
          example: false
        user_id:
          description: ID of the user associated with this task
          type: string
          example: 48427a36d43c4d5aa6324bc06c692456
        order_id:
          description: ID of the order associated with this task
          type: string
          example: 48427a36d43c4d5aa6324bc06c692456
          nullable: true
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````